var cells=
[
["adverbs","ADVERB","border:1px dashed gray;background:#f2f2f2;grid-column:6/span 2;grid-row:1;","fond","audio/adverbs.mp3"],
["clause","CLAUSE","border:1px dashed gray;background:#b9ffb9;grid-column:5;grid-row:1;","fond","audio/clause.mp3"],
["acts","ACTS LIKE A SINGLE ADVERB, BEGINS WITH A CONJUNCTION <img src='imgs/finestra.png' style='vertical-align:bottom;' />","border:1px dashed gray;background:#cdffcd;grid-column:1/span 4;grid-row:1;text-align:right;","acts_div","audio/acts.mp3"],
["phrase","PHRASE","border:1px dashed gray;background:#b4ffff;grid-column:5;grid-row:2;","fond","audio/phrase.mp3"],
["like","ACTS LIKE A SINGLE ADVERB <img src='imgs/finestra.png' style='vertical-align:bottom;' />","border:1px dashed gray;background:#caffff;grid-column:1/span 4;grid-row:2;text-align:right;","like_div","audio/like.mp3"],
["irregular","IRREGULAR","border:1px dashed gray;background:#b7b7b7;grid-column:5;grid-row:3;","fond","audio/irregular.mp3"],
["well","<table style='width:100%'><tr><td>WELL</td><td>BETTER</td><td>THE BEST</td></tr><tr><td>BADLY</td><td>WORSE</td><td>THE WORST</td></tr><tr><td>LITTLE</td><td>LESS</td><td>THE LEAST</td></tr></table>","border:1px dashed gray;background:#c8c8c8;grid-column:1/span 4;grid-row:3/span 2;","fond","audio/well.mp3"],
["degrees","DEGREES OF COMPARISON","border:1px dashed gray;background:#ffb4b4;grid-column:5/span 2;grid-row:5;","fond","audio/degrees.mp3"],
["comparative","<b>- COMPARATIVE ADVERB</b> COMPARES TWO THINGS OR PEOPLE<br><b>- SUPERLATIVE ADVERB</b>  COMPARES THREE OR MORE THINGS OR PEOPLE <img src='imgs/finestra.png' style='vertical-align:bottom;float:right;' />","border:1px dashed gray;background:#ffc8c8;grid-column:1/span 4;grid-row:5;text-align:left;text-align:left;","comparative_div","audio/comparative.mp3"],
["answers","ANSWERS<br><br> QUESTIONS<br><br> ABOUT<br><br> THE VERB","border:1px dashed gray;background:#ffff80;grid-column:8;grid-row:1/span 4;","fond","audio/answers.mp3"],
["how","<b>MANNER</b> - HOW DO YOU EAT? QUICKLY, SLOWLY","border:1px dashed gray;background:#ffffcc;grid-column:9/span 4;grid-row:1;text-align:left;","fond","audio/how.mp3"],
["time","<b>TIME</b> - WHEN WILL YOU EAT? NOW, LATER","border:1px dashed gray;background:#ffffcc;grid-column:9/span 4;grid-row:2;text-align:left;","fond","audio/time.mp3"],
["place","<b>PLACE</b> - WHERE WILL YOU EAT? HERE, OUTSIDE","border:1px dashed gray;background:#ffffcc;grid-column:9/span 4;grid-row:3;text-align:left;","fond","audio/place.mp3"],
["often","<b>HOW OFTEN</b> - HOW OFTEN DO YOU EAT? ALWAYS, NEVER","border:1px dashed gray;background:#ffffcc;grid-column:9/span 4;grid-row:4;text-align:left;","fond","audio/often.mp3"],
["ending","ENDING","border:1px dashed gray;background:#99cc99;grid-column:8;grid-row:5;","fond","audio/ending.mp3"],
["many","MANY ADVERBS END IN -LY<br>CAREFUL+LY  ->  CAREFULLY -- QUICK+LY  ->  QUICKLY","border:1px dashed gray;background:#ccffcc;grid-column:9/span 4;grid-row:5;text-align:left;","fond","audio/many.mp3"],
["fond","","border-width:0px;background:#ffffff","fond",""],
];
var len = cells.length;	
function cleanButtons()
{	let y=document.getElementById(cells[0][0]);
	let h=document.getElementById(cells[1][0]);
	for (let b=0;b<len;b++)
	{	document.getElementById(cells[b][0]).style.background="white";
		document.getElementById(cells[b][0]).innerHTML="";
	}
	y.style.background="#dddddd";
	y.style.boxShadow="10px 10px 10px 10px lightgray";
	h.style.border="1px dashed gray";
	document.getElementById("fond").style.display="none";
}	
function showAll()
{	for(let i=0;i<len;i++)
	{	let k = document.getElementById(cells[i][0]);
		k.style=cells[i][2];
		k.innerHTML=cells[i][1];				
	}	
	document.getElementById("fond").style.display="none";	
}
window.onload = function ()
{	for (let g=1;g<len;g++)
	{	let k=document.getElementById(cells[g][0]);
		k.style=cells[g][2];
		k.style.background="#ffffff";
	}
	document.getElementById("fond").style.border="0px solid white";
	document.getElementById("adverbs").innerHTML=cells[0][1];
	document.getElementById("adverbs").style=cells[0][2];
	document.addEventListener("mouseover",eventOver);	
	function eventOver(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.borderWidth="0px";
				k.style.boxShadow="10px 10px 10px 10px lightgray";	
				k.innerHTML=cells[i][1];
				document.getElementById(cells[i+1][0]).style=cells[i+1][2];
				document.getElementById("fond").style.display="none";
				displayAudio(cells[i][4]);
			}			
		}		
	}
	document.addEventListener("mouseout",eventOut);	
	function eventOut(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.boxShadow="0px 0px 0px 0px gray";
				document.getElementById(cells[i+1][0]).style.border="1px dashed gray";
			}	
		}		
	}
	document.addEventListener("click",eventClick);	
	function eventClick(e)
	{	for(let i=1;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	if (document.getElementById(cells[i][3]).style.display=="block")
				{	document.getElementById(cells[i][3]).style.display="none";
				}
				else
				{	document.getElementById(cells[i][3]).style.display="block"
				}
			}
		}	
		document.getElementById("fond").style.display="none";	
	}
return;
}
function displayAudio(audio)
{	let blob="<audio controls autoplay hidden>"+
	"<source src='"+audio+"' type='audio/ogg'>"+
	"<source src='"+audio+"' type='audio/mpeg'>"+	
	"Your browser does not support the audio element.</audio>";
	document.getElementById("sound").innerHTML=blob;	
}
let dim = false;
const BIBBI_WIDTH = "48%";
const BIBBI_TOP = "20%"
const BIBBI1_LEFT = "1%";
const BIBBI2_LEFT = "51%";
const BIBBI_MAX_HEIGTH = "70%";
const BIBBI_ENLARGE_WIDTH = "98%";
const BIBBI_ENLARGE_HEIGTH = "85%";
const BIBBI_ENLARGE_TOP = "10%";
function hideIt(qc)
{   let bibbis1=document.getElementsByClassName("bibbi1");
    let k=bibbis1.length;
    let bibbis2=document.getElementsByClassName("bibbi2");
    let h=bibbis2.length;
    for(let a=0;a<k;a++)
    {	bibbis1[a].style.display="none";
    }
    for(let b=0;b<h;b++)
    {	bibbis2[b].style.display="none";
    }
	
	if(document.getElementById(qc).getAttribute('class')=="bibbi1")
    {	document.getElementById(qc).style.top = BIBBI_TOP;
		document.getElementById(qc).style.left = BIBBI1_LEFT;
	    document.getElementById(qc).style.width = BIBBI_WIDTH;
	    document.getElementById(qc).style.maxHeight = BIBBI_MAX_HEIGTH;
	}
    else
    {	document.getElementById(qc).style.top = BIBBI_TOP;
		document.getElementById(qc).style.left = BIBBI2_LEFT;
    	document.getElementById(qc).style.width = BIBBI_WIDTH;
    	document.getElementById(qc).style.maxHeight = BIBBI_MAX_HEIGTH;
    }
	document.getElementById(qc).style.display = "none";
	dim=false;	
}
function enlargeIt(div)
{	if(dim==true)
	{	if(document.getElementById(div).getAttribute("class")=="bibbi1")
		{	document.getElementById(div).style.width=BIBBI_WIDTH;
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left=BIBBI1_LEFT;
			document.getElementById(div).style.top=BIBBI_TOP;
		  	document.getElementById(div).style.maxHeight=BIBBI_MAX_HEIGTH;
			dim=false;
		}
		else if(document.getElementById(div).getAttribute("class")=="bibbi2") 
		{	document.getElementById(div).style.width=BIBBI_WIDTH;
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left=BIBBI2_LEFT;
			document.getElementById(div).style.top=BIBBI_TOP;
		  	document.getElementById(div).style.maxHeight=BIBBI_MAX_HEIGTH;
			dim=false;
		}
	}
	else if(dim==false)
	{	document.getElementById(div).style.width=BIBBI_ENLARGE_WIDTH;
		document.getElementById(div).style.height="auto";
		document.getElementById(div).style.left=BIBBI1_LEFT;
		document.getElementById(div).style.top=BIBBI_ENLARGE_TOP;
		document.getElementById(div).style.maxHeight=BIBBI_ENLARGE_HEIGTH;
		dim=true;
	}		
}
